Security Enhanced Linux Reference Policy

# Layer: services

## Module: cockpit

Interfaces

### Description:

policy for cockpit

### Interfaces:

cockpit_admin( domain )

##### Summary

All of the rules required to administrate an cockpit environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cockpit_manage_lib_dirs( domain )

##### Summary

Manage cockpit lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cockpit_manage_lib_files( domain )

##### Summary

Manage cockpit lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cockpit_manage_pid_dirs( domain )

##### Summary

Manage cockpit pid dirs.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cockpit_manage_pid_files( domain )

##### Summary

Manage cockpit pid dirs.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cockpit_manage_unix_stream_sockets( domain )

##### Summary

Create cockpit unix_stream_sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cockpit_read_lib_files( domain )

##### Summary

Read cockpit lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cockpit_read_pid_files( domain )

##### Summary

Read cockpit pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cockpit_rw_pipes( domain )

##### Summary

Read and write cockpit_session_t unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cockpit_search_lib( domain )

##### Summary

Search cockpit lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cockpit_session_domtrans( domain )

##### Summary

Execute TEMPLATE in the cockpit domin.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

cockpit_systemctl( domain )

##### Summary

Execute cockpit server in the cockpit domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

cockpit_ws_domtrans( domain )

##### Summary

Execute TEMPLATE in the cockpit domin.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

Return